package cc.smtweb.system.bpm.web.sys.user.userGroup;

import cc.smtweb.framework.core.annotation.SwCache;
import cc.smtweb.framework.core.cache.AbstractEntityCache;
import cc.smtweb.framework.core.cache.CacheManager;

/**
 * Created by 1 at 2022-08-02 20:19:02
 * 实体【[用户分组](SYS_USER_GROUP)】的缓存类
 */
@SwCache(ident = "SYS_USER_GROUP", title = "用户分组")
public class UserGroupCache extends AbstractEntityCache<UserGroup> {
    //缓存key：按编码
    public final static String mk_code = "code";

    public static UserGroupCache getInstance() {
        return CacheManager.getIntance().getCache(UserGroupCache.class);
    }

    public UserGroupCache() {
        //缓存key：按编码
        regMap(mk_code, "sugp_code");
    }

    //缓存key：按编码
    public final UserGroup getByCode(String key) {
        return getByKey(mk_code, key);
    }
}
